package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.PackDetailProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailProductVo;
import com.fjhx.sale.entity.pack.dto.PackDetailProductSelectDto;
import com.fjhx.sale.entity.pack.dto.PackDetailProductDto;


/**
 * <p>
 * 装箱出货产品明细表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailProductService extends BaseService<PackDetailProduct> {

    /**
     * 装箱出货产品明细表分页
     */
    Page<PackDetailProductVo> getPage(PackDetailProductSelectDto dto);

    /**
     * 装箱出货产品明细表明细
     */
    PackDetailProductVo detail(Long id);

    /**
     * 装箱出货产品明细表新增
     */
    void add(PackDetailProductDto packDetailProductDto);

    /**
     * 装箱出货产品明细表编辑
     */
    void edit(PackDetailProductDto packDetailProductDto);

    /**
     * 装箱出货产品明细表删除
     */
    void delete(Long id);

}
